Bug 1188 - disabling wide links breaks symlinks within a share
disabling wide links breaks symlinks within a share
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.2a
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-15 05:26 UTC by Mark Pröhl
Modified: 2005-11-14 09:27 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Pröhl 2004-03-15 05:26:31 UTC
I want to allow samba to follow symlinks that point to files within the samba
share, but not outside the samba share. If I set wide links = no, some
trivial symlinks (like file -> ../file) are not followed.

My smb.conf is rather simple:

  [global]
     passdb backend = smbpasswd
     log level = 3
     log file = /var/samba/log.%m
     follow symlinks = yes
     wide links = no
  [test]
    path = /tmp/test
    readonly = no

My share looks like this:

  $ls -lR /tmp/test/
  /tmp/test/:
  total 8
  drwxr-x---    2 user   group          4096 Mar 15 11:41 directory/
  -rw-r-----    1 user   group             8 Mar 15 11:53 file

  /tmp/test/directory:
  total 0
  lrwxrwxrwx    1 user   group             7 Mar 15 11:41 file -> ../file
  $

If I try to access the symlink, the following happens:

  $smbclient '\\localhost\test'
  Password: ....
  Domain=[XXXX] OS=[Unix] Server=[Samba 3.0.2a]
  smb: \> dir
    .                                   D        0  Mon Mar 15 11:53:45 2004
    ..                                  D        0  Mon Mar 15 13:39:31 2004
    file                                         8  Mon Mar 15 11:53:56 2004
    directory                           D        0  Mon Mar 15 11:41:30 2004
  
                  64176 blocks of size 262144. 29307 blocks available
  smb: \> get file
  smb: \> cd directory
  smb: \directory\> get file
  NT_STATUS_ACCESS_DENIED opening remote file \directory\file
  smb: \directory\>
  smb: \directory\>

Heres som extract from the log:

  # grep file log.localhost
  unix_clean_name [/directory/file]
  unix_mode(directory/file) returning 0744
  reduce_name [directory/file] [/tmp/test]
  reduce_name: file path name /tmp/test/directory/file is a symlink
  unix_clean_name [/tmp/test/../filest/directory]
  Bad access attempt? s=/tmp/test/directory/file dir=/tmp/test
newname=/tmp/filest/directory l=9
  Bad access attemt? directory/file is a symlink outside the share patherror
packet at smbd/trans2.c(1811) cmd=45 (SMBopenX) NT_STATUS_ACCESS_DENIED

After examining smbd/vfs.c, I would suggest the following patch:

--- smbd/vfs.c.org      2004-03-15 13:49:17.000000000 +0100
+++ smbd/vfs.c  2004-03-15 13:49:39.000000000 +0100
@@ -824,7 +824,7 @@
                if (*flink == '/') {
                        pstrcpy(cleanlink, flink);
                } else {
-                       pstrcpy(cleanlink, realdir);
+                       pstrcpy(cleanlink, savedir);
                        pstrcat(cleanlink, "/");
                        pstrcat(cleanlink, flink);
                }

--
Here is the complete log:

[2004/03/15 13:41:33, 3] auth/auth.c:check_ntlm_password(219)
  check_ntlm_password:  Checking password for unmapped user
[WORKGROUP]\[user]@[LOCALHOST] with the new password interface
[2004/03/15 13:41:33, 3] auth/auth.c:check_ntlm_password(222)
  check_ntlm_password:  mapped user is: [LOCALHOST]\[user]@[LOCALHOST]
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(235)
  fetch sid from gid cache 999 -> S-1-5-21-4156033081-3654383096-3587675054-2999
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] auth/auth.c:check_ntlm_password(268)
  check_ntlm_password: sam authentication for user [user] succeeded
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/uid.c:push_conn_ctx(287)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 2] auth/auth.c:check_ntlm_password(305)
  check_ntlm_password:  authentication for user [user] -> [user] -> [user] succeeded
[2004/03/15 13:41:33, 3] libsmb/ntlmssp_sign.c:ntlmssp_sign_init(319)
  NTLMSSP Sign/Seal - Initialising with flags:
[2004/03/15 13:41:33, 3] libsmb/ntlmssp.c:debug_ntlmssp_flags(62)
  Got NTLMSSP neg_flags=0x60080215
[2004/03/15 13:41:33, 3] smbd/password.c:register_vuid(221)
  User name: user	Real name: Mark User, Tuebingen/IT-Service, 9457-591
[2004/03/15 13:41:33, 3] smbd/password.c:register_vuid(240)
  UNIX uid 1100 is UNIX user user, and will be vuid 100
[2004/03/15 13:41:33, 3] smbd/password.c:register_vuid(264)
  Adding/updating homes service for user 'user' using home directory: '/home/user'
[2004/03/15 13:41:33, 3] smbd/process.c:process_smb(890)
  Transaction 3 of length 80
[2004/03/15 13:41:33, 3] smbd/process.c:switch_message(685)
  switch message SMBtconX (pid 14216)
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/service.c:make_connection_snum(543)
  Connect path is '/tmp/test' for service [test]
[2004/03/15 13:41:33, 3] lib/util_seaccess.c:se_access_check(251)
[2004/03/15 13:41:33, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-4156033081-3654383096-3587675054-3200
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-2999
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-3095
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-2629
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-1203
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-1451
[2004/03/15 13:41:33, 3] smbd/vfs.c:vfs_init_default(203)
  Initialising default vfs hooks
[2004/03/15 13:41:33, 3] lib/util_seaccess.c:se_access_check(251)
[2004/03/15 13:41:33, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-4156033081-3654383096-3587675054-3200
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-2999
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-3095
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-2629
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-1203
  se_access_check: also S-1-5-21-4156033081-3654383096-3587675054-1451
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (1100, 999) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 1] smbd/service.c:make_connection_snum(705)
  localhost (10.0.4.67) connect to service test initially as user user
(uid=1100, gid=999) (pid 14216)
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] smbd/reply.c:reply_tcon_and_X(326)
  tconX service=TEST 
[2004/03/15 13:41:33, 3] smbd/process.c:process_smb(890)
  Transaction 4 of length 44
[2004/03/15 13:41:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:41:33, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (1100, 999) - sec_ctx_stack_ndx = 0
[2004/03/15 13:41:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:41:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:41:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:41:38, 3] smbd/process.c:process_smb(890)
  Transaction 5 of length 44
[2004/03/15 13:41:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:41:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:41:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:41:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:41:41, 3] smbd/process.c:process_smb(890)
  Transaction 6 of length 62
[2004/03/15 13:41:41, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:41:41, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/directory]
[2004/03/15 13:41:41, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [directory] [/tmp/test]
[2004/03/15 13:41:41, 3] smbd/reply.c:reply_chkpth(469)
  chkpth directory mode=23
[2004/03/15 13:41:43, 3] smbd/process.c:process_smb(890)
  Transaction 7 of length 44
[2004/03/15 13:41:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:41:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:41:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:41:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:41:45, 3] smbd/process.c:process_smb(890)
  Transaction 8 of length 102
[2004/03/15 13:41:45, 3] smbd/process.c:switch_message(685)
  switch message SMBopenX (pid 14216)
[2004/03/15 13:41:45, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/directory/file]
[2004/03/15 13:41:45, 3] smbd/dosmode.c:unix_mode(110)
  unix_mode(directory/file) returning 0744
[2004/03/15 13:41:45, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [directory/file] [/tmp/test]
[2004/03/15 13:41:45, 3] smbd/vfs.c:readlink_check(823)
  reduce_name: file path name /tmp/test/directory/file is a symlink
  Checking it's path
[2004/03/15 13:41:45, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/tmp/test/../filest/directory]
[2004/03/15 13:41:45, 2] smbd/vfs.c:readlink_check(834)
  Bad access attempt? s=/tmp/test/directory/file dir=/tmp/test
newname=/tmp/filest/directory l=9
[2004/03/15 13:41:45, 2] smbd/vfs.c:reduce_name(943)
  Bad access attemt? directory/file is a symlink outside the share patherror
packet at smbd/trans2.c(1811) cmd=45 (SMBopenX) NT_STATUS_ACCESS_DENIED
[2004/03/15 13:41:48, 3] smbd/process.c:process_smb(890)
  Transaction 9 of length 44
[2004/03/15 13:41:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:41:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:41:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:41:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:41:53, 3] smbd/process.c:process_smb(890)
  Transaction 10 of length 44
[2004/03/15 13:41:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:41:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:41:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:41:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:41:58, 3] smbd/process.c:process_smb(890)
  Transaction 11 of length 44
[2004/03/15 13:41:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:41:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:41:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:41:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:03, 3] smbd/process.c:process_smb(890)
  Transaction 12 of length 44
[2004/03/15 13:42:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:08, 3] smbd/process.c:process_smb(890)
  Transaction 13 of length 44
[2004/03/15 13:42:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:13, 3] smbd/process.c:process_smb(890)
  Transaction 14 of length 44
[2004/03/15 13:42:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:18, 3] smbd/process.c:process_smb(890)
  Transaction 15 of length 44
[2004/03/15 13:42:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:23, 3] smbd/process.c:process_smb(890)
  Transaction 16 of length 44
[2004/03/15 13:42:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:28, 3] smbd/process.c:process_smb(890)
  Transaction 17 of length 44
[2004/03/15 13:42:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:33, 3] smbd/process.c:process_smb(890)
  Transaction 18 of length 44
[2004/03/15 13:42:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:38, 3] smbd/process.c:process_smb(890)
  Transaction 19 of length 44
[2004/03/15 13:42:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:43, 3] smbd/process.c:process_smb(890)
  Transaction 20 of length 44
[2004/03/15 13:42:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:48, 3] smbd/process.c:process_smb(890)
  Transaction 21 of length 44
[2004/03/15 13:42:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:53, 3] smbd/process.c:process_smb(890)
  Transaction 22 of length 44
[2004/03/15 13:42:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:42:58, 3] smbd/process.c:process_smb(890)
  Transaction 23 of length 44
[2004/03/15 13:42:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:42:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:42:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:42:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:03, 3] smbd/process.c:process_smb(890)
  Transaction 24 of length 44
[2004/03/15 13:43:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:08, 3] smbd/process.c:process_smb(890)
  Transaction 25 of length 44
[2004/03/15 13:43:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:13, 3] smbd/process.c:process_smb(890)
  Transaction 26 of length 44
[2004/03/15 13:43:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:18, 3] smbd/process.c:process_smb(890)
  Transaction 27 of length 44
[2004/03/15 13:43:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:23, 3] smbd/process.c:process_smb(890)
  Transaction 28 of length 44
[2004/03/15 13:43:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:28, 3] smbd/process.c:process_smb(890)
  Transaction 29 of length 44
[2004/03/15 13:43:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:33, 3] smbd/process.c:process_smb(890)
  Transaction 30 of length 44
[2004/03/15 13:43:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:38, 3] smbd/process.c:process_smb(890)
  Transaction 31 of length 44
[2004/03/15 13:43:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:43, 3] smbd/process.c:process_smb(890)
  Transaction 32 of length 44
[2004/03/15 13:43:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:48, 3] smbd/process.c:process_smb(890)
  Transaction 33 of length 44
[2004/03/15 13:43:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:53, 3] smbd/process.c:process_smb(890)
  Transaction 34 of length 44
[2004/03/15 13:43:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:43:58, 3] smbd/process.c:process_smb(890)
  Transaction 35 of length 44
[2004/03/15 13:43:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:43:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:43:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:43:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:03, 3] smbd/process.c:process_smb(890)
  Transaction 36 of length 44
[2004/03/15 13:44:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:08, 3] smbd/process.c:process_smb(890)
  Transaction 37 of length 44
[2004/03/15 13:44:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:13, 3] smbd/process.c:process_smb(890)
  Transaction 38 of length 44
[2004/03/15 13:44:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:18, 3] smbd/process.c:process_smb(890)
  Transaction 39 of length 44
[2004/03/15 13:44:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:23, 3] smbd/process.c:process_smb(890)
  Transaction 40 of length 44
[2004/03/15 13:44:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:28, 3] smbd/process.c:process_smb(890)
  Transaction 41 of length 44
[2004/03/15 13:44:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:33, 3] smbd/process.c:process_smb(890)
  Transaction 42 of length 44
[2004/03/15 13:44:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:38, 3] smbd/process.c:process_smb(890)
  Transaction 43 of length 44
[2004/03/15 13:44:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:43, 3] smbd/process.c:process_smb(890)
  Transaction 44 of length 44
[2004/03/15 13:44:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:48, 3] smbd/process.c:process_smb(890)
  Transaction 45 of length 44
[2004/03/15 13:44:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:53, 3] smbd/process.c:process_smb(890)
  Transaction 46 of length 44
[2004/03/15 13:44:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:44:58, 3] smbd/process.c:process_smb(890)
  Transaction 47 of length 44
[2004/03/15 13:44:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:44:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:44:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:44:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:03, 3] smbd/process.c:process_smb(890)
  Transaction 48 of length 44
[2004/03/15 13:45:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:08, 3] smbd/process.c:process_smb(890)
  Transaction 49 of length 44
[2004/03/15 13:45:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:08, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:45:13, 3] smbd/process.c:process_smb(890)
  Transaction 50 of length 44
[2004/03/15 13:45:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:13, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (1100, 999) - sec_ctx_stack_ndx = 0
[2004/03/15 13:45:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:18, 3] smbd/process.c:process_smb(890)
  Transaction 51 of length 44
[2004/03/15 13:45:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:23, 3] smbd/process.c:process_smb(890)
  Transaction 52 of length 44
[2004/03/15 13:45:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:28, 3] smbd/process.c:process_smb(890)
  Transaction 53 of length 44
[2004/03/15 13:45:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:33, 3] smbd/process.c:process_smb(890)
  Transaction 54 of length 44
[2004/03/15 13:45:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:38, 3] smbd/process.c:process_smb(890)
  Transaction 55 of length 44
[2004/03/15 13:45:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:43, 3] smbd/process.c:process_smb(890)
  Transaction 56 of length 44
[2004/03/15 13:45:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:48, 3] smbd/process.c:process_smb(890)
  Transaction 57 of length 44
[2004/03/15 13:45:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:53, 3] smbd/process.c:process_smb(890)
  Transaction 58 of length 44
[2004/03/15 13:45:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:45:58, 3] smbd/process.c:process_smb(890)
  Transaction 59 of length 44
[2004/03/15 13:45:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:45:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:45:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:45:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:03, 3] smbd/process.c:process_smb(890)
  Transaction 60 of length 44
[2004/03/15 13:46:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:08, 3] smbd/process.c:process_smb(890)
  Transaction 61 of length 44
[2004/03/15 13:46:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:13, 3] smbd/process.c:process_smb(890)
  Transaction 62 of length 44
[2004/03/15 13:46:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:18, 3] smbd/process.c:process_smb(890)
  Transaction 63 of length 44
[2004/03/15 13:46:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:23, 3] smbd/process.c:process_smb(890)
  Transaction 64 of length 44
[2004/03/15 13:46:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:28, 3] smbd/process.c:process_smb(890)
  Transaction 65 of length 44
[2004/03/15 13:46:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:33, 3] smbd/process.c:process_smb(890)
  Transaction 66 of length 44
[2004/03/15 13:46:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:38, 3] smbd/process.c:process_smb(890)
  Transaction 67 of length 44
[2004/03/15 13:46:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:43, 3] smbd/process.c:process_smb(890)
  Transaction 68 of length 44
[2004/03/15 13:46:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:48, 3] smbd/process.c:process_smb(890)
  Transaction 69 of length 44
[2004/03/15 13:46:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:53, 3] smbd/process.c:process_smb(890)
  Transaction 70 of length 44
[2004/03/15 13:46:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:46:58, 3] smbd/process.c:process_smb(890)
  Transaction 71 of length 44
[2004/03/15 13:46:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:46:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:46:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:46:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:03, 3] smbd/process.c:process_smb(890)
  Transaction 72 of length 44
[2004/03/15 13:47:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:08, 3] smbd/process.c:process_smb(890)
  Transaction 73 of length 44
[2004/03/15 13:47:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:13, 3] smbd/process.c:process_smb(890)
  Transaction 74 of length 44
[2004/03/15 13:47:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:18, 3] smbd/process.c:process_smb(890)
  Transaction 75 of length 44
[2004/03/15 13:47:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:23, 3] smbd/process.c:process_smb(890)
  Transaction 76 of length 44
[2004/03/15 13:47:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:28, 3] smbd/process.c:process_smb(890)
  Transaction 77 of length 44
[2004/03/15 13:47:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:33, 3] smbd/process.c:process_smb(890)
  Transaction 78 of length 44
[2004/03/15 13:47:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:38, 3] smbd/process.c:process_smb(890)
  Transaction 79 of length 44
[2004/03/15 13:47:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:43, 3] smbd/process.c:process_smb(890)
  Transaction 80 of length 44
[2004/03/15 13:47:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:48, 3] smbd/process.c:process_smb(890)
  Transaction 81 of length 44
[2004/03/15 13:47:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:53, 3] smbd/process.c:process_smb(890)
  Transaction 82 of length 44
[2004/03/15 13:47:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:47:58, 3] smbd/process.c:process_smb(890)
  Transaction 83 of length 44
[2004/03/15 13:47:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:47:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:47:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:47:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:03, 3] smbd/process.c:process_smb(890)
  Transaction 84 of length 44
[2004/03/15 13:48:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:08, 3] smbd/process.c:process_smb(890)
  Transaction 85 of length 44
[2004/03/15 13:48:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:13, 3] smbd/process.c:process_smb(890)
  Transaction 86 of length 44
[2004/03/15 13:48:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:18, 3] smbd/process.c:process_smb(890)
  Transaction 87 of length 44
[2004/03/15 13:48:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:23, 3] smbd/process.c:process_smb(890)
  Transaction 88 of length 44
[2004/03/15 13:48:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:28, 3] smbd/process.c:process_smb(890)
  Transaction 89 of length 44
[2004/03/15 13:48:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:33, 3] smbd/process.c:process_smb(890)
  Transaction 90 of length 44
[2004/03/15 13:48:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:38, 3] smbd/process.c:process_smb(890)
  Transaction 91 of length 44
[2004/03/15 13:48:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:43, 3] smbd/process.c:process_smb(890)
  Transaction 92 of length 44
[2004/03/15 13:48:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:48, 3] smbd/process.c:process_smb(890)
  Transaction 93 of length 44
[2004/03/15 13:48:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:53, 3] smbd/process.c:process_smb(890)
  Transaction 94 of length 44
[2004/03/15 13:48:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:48:58, 3] smbd/process.c:process_smb(890)
  Transaction 95 of length 44
[2004/03/15 13:48:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:48:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:48:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:48:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:03, 3] smbd/process.c:process_smb(890)
  Transaction 96 of length 44
[2004/03/15 13:49:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:08, 3] smbd/process.c:process_smb(890)
  Transaction 97 of length 44
[2004/03/15 13:49:08, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:08, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:08, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:08, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:13, 3] smbd/process.c:process_smb(890)
  Transaction 98 of length 44
[2004/03/15 13:49:13, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:13, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:13, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:13, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:18, 3] smbd/process.c:process_smb(890)
  Transaction 99 of length 44
[2004/03/15 13:49:18, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:18, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:18, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:18, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:18, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:49:23, 3] smbd/process.c:process_smb(890)
  Transaction 100 of length 44
[2004/03/15 13:49:23, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:23, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (1100, 999) - sec_ctx_stack_ndx = 0
[2004/03/15 13:49:23, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:23, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:23, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:28, 3] smbd/process.c:process_smb(890)
  Transaction 101 of length 44
[2004/03/15 13:49:28, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:28, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:28, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:28, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:33, 3] smbd/process.c:process_smb(890)
  Transaction 102 of length 44
[2004/03/15 13:49:33, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:33, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:33, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:33, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:38, 3] smbd/process.c:process_smb(890)
  Transaction 103 of length 44
[2004/03/15 13:49:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:38, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:38, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:43, 3] smbd/process.c:process_smb(890)
  Transaction 104 of length 44
[2004/03/15 13:49:43, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:43, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:43, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:43, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:48, 3] smbd/process.c:process_smb(890)
  Transaction 105 of length 44
[2004/03/15 13:49:48, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:48, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:48, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:48, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:53, 3] smbd/process.c:process_smb(890)
  Transaction 106 of length 44
[2004/03/15 13:49:53, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:53, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:53, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:53, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:49:58, 3] smbd/process.c:process_smb(890)
  Transaction 107 of length 44
[2004/03/15 13:49:58, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:49:58, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:49:58, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:49:58, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:50:03, 3] smbd/process.c:process_smb(890)
  Transaction 108 of length 44
[2004/03/15 13:50:03, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 14216)
[2004/03/15 13:50:03, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/]
[2004/03/15 13:50:03, 3] smbd/vfs.c:reduce_name(879)
  reduce_name [.] [/tmp/test]
[2004/03/15 13:50:03, 3] smbd/reply.c:reply_chkpth(469)
  chkpth . mode=5
[2004/03/15 13:50:05, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:50:05, 2] smbd/server.c:exit_server(558)
  Closing connections
[2004/03/15 13:50:05, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:50:05, 1] smbd/service.c:close_cnum(887)
  localhost (10.0.4.67) closed connection to service test
[2004/03/15 13:50:05, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to test
[2004/03/15 13:50:05, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/03/15 13:50:05, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to 
[2004/03/15 13:50:05, 3] smbd/connection.c:yield_connection(76)
  yield_connection: tdb_delete for name  failed with error Record does not exist.
[2004/03/15 13:50:05, 3] smbd/server.c:exit_server(601)
  Server exit (Caught TERM signal)
Comment 1 Jeremy Allison 2004-05-26 13:04:20 UTC
This is fixed in svn and in Samba 3.0.5 pre1 due to the rewrite of reduce_name
to use realpath.

Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:23:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:27:55 UTC
database cleanup